Subject: Re: [PATCH net-next v5] net: pppoe: implement GRO/GSO support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 9 Mar 2026 14:01:27 -0700

On Mon, 9 Mar 2026 18:46:59 +0800 Qingfang Deng wrote:
> > Please add some selftests.  
> 
> I haven't written a kselftest before. What tests should I include?
> 
> I think I can add a local ppp server and client over veth, and test
> the connection with ping and iperf3.

We have tools/testing/selftests/drivers/net/gro.c and associated Python
test. (note I have ambiguous feelings about adding ppp cases to this
file vs creating a new test, adding Willem to CC maybe he has some
guidance)

The test itself should send and receive raw packets using packet
sockets. That way you can easily inject arbitrary fragmented frames 
on one end and check if they are coalesced correctly on the other.